Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569682 - VDO fails creation ontop of drbd device
Summary: VDO fails creation ontop of drbd device
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vdo
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dennis Keefe
QA Contact: vdo-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 19:25 UTC by Strahil Nikolov
Modified: 2019-03-06 02:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 15:31:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Strahil Nikolov 2018-04-19 19:25:41 UTC
Description of problem:
Creation of VDO device ontop of DRBD is not possible as follows:

Creating VDO vdodrbd0
vdo: ERROR -   Device /dev/drbd0 excluded by a filter.

As the DRBD Technology is closer to RAID1 (but over a network connection) , I expect that the VDO should be a layer above drbd.

Version-Release number of selected component (if applicable):
kmod-kvdo-6.1.0.153-15.el7.x86_64
vdo-6.1.0.149-16.x86_64


How reproducible:
Always

Steps to Reproduce:
1.Create a 2 node drbd device
2.Try to create vdo ontop:
# vdo create --name=vdodrbd0 --device=/dev/drbd0 --vdoLogicalSize=10G

Actual results:
Received error "vdo: ERROR -   Device /dev/drbd0 excluded by a filter."

Expected results:
VDO to be successfully created on top of DRBD.

Additional info:

Comment 3 Dennis Keefe 2018-05-02 20:03:57 UTC
VDO uses come some helpful code from lvm to test block devices
This could be one of two problems:

1. This device was already part of a LVM physical volume in some way and LVM is
catching that fact.  Clearing out that metadata could help.

2. or you need to add a filter to the lvm.conf file to include drbd devices, similar to this  add "filter = [ "a|drbd0.*|", "r|.*|" ]".

Comment 4 Strahil Nikolov 2018-05-06 13:09:47 UTC
As my DRBD device is blacklisted via a global filter, I will try without that filter.

Shouldn't that be listed somewhere in the documentation ,as I checked the whole documentation and I didn't find any relevant configuration file /I should have straced the process to find that/ ?

It would be way easier if there is a statement like:
"VDO uses some portions of LVM , thus /etc/lvm/lvm.conf should be taken into consideration."

Comment 5 Dennis Keefe 2018-05-23 14:27:03 UTC
VDO documentation states that LVM is required, however it doesn't say why.  

Created a bug to update the documentation.

https://bugzilla.redhat.com/show_bug.cgi?id=1581741

Comment 6 Dennis Keefe 2018-05-30 15:31:11 UTC
Closing documentation will be updated.


Note You need to log in before you can comment on or make changes to this bug.